KDE 4.9 PyKDE API Reference

- KDE's Python API

# AgentTypeDialog Class Reference

`from PyKDE4.akonadi import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Akonadi

## Detailed Description

A dialog to select an available agent type.

This dialogs allows the user to select an agent type from the list of all available agent types. The list can be filtered by the proxy model returned by agentFilterProxyModel().

     Akonadi.AgentTypeDialog dlg( this );

     // only list agent types that provide contacts
     dlg.agentFilterProxyModel()->addMimeTypeFilter( "text/directory" );

     if ( dlg.exec() ) {
       const AgentType agentType = dlg.agentType();
       ...
     }

Author:
  Tom Albers <tomalbers@kde.nl>

Since:
  4.2

## Methods

| __init__ (self, QWidget parent=0)
Akonadi.AgentFilterProxyModel | agentFilterProxyModel (self)
Akonadi.AgentType | agentType (self)
| done (self, int result)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a new agent type dialog.

Parameters:

  | parent | The parent widget of the dialog.

Akonadi.AgentFilterProxyModel agentFilterProxyModel | ( |  | self ) |

Returns the agent filter proxy model that can be used to filter the agent types that shall be shown in the dialog.

Akonadi.AgentType agentType | ( |  | self ) |

Returns the agent type that was selected by the user, or an empty agent type object if no agent type has been selected.

done | ( | self, |
|  | int | result
| ) |  |  |